/* styles.css */

html, body {
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 980px;
    margin: auto;
}

body {
    display: flex;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: 500;
    font-size: large;
    background-color:rgb(225, 225, 225);
}

header {
    display: flex;
    flex-direction: column;
    align-self: center;
    width: 100%;
}

main {
    display: flex;
    flex-direction: column;
    align-items: center;
    background: none;
    color: rgb(68, 68, 68);
    width: 100%;
    animation: fade 4s;
}

footer {
    text-align: center;
    margin-top: auto;
}

.banner-container {
    position: relative;
    width: 100%;
    min-width: 980px;
    height: 230px;
    background-image: url('./assets/board.jpg');
    background-position: center 35%;
    background-size: cover;
    overflow: hidden;
    position: absolute;
    z-index: 0;
  }

  .banner-container::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top, rgb(225, 225, 225) 0%, rgba(200, 200, 200, 0.5) 40%, rgba(0, 0, 0, 0) 100%);
  }

table {
    width: 100%;
    margin: 10px;
}

tbody {
    width: 100%;
}

.table-locations {
    display: table;
    margin: 25px 10px 0 10px;
    width: auto;
}

.table-main {
    margin: 15px 10px 0 10px;
    z-index: 1;
}

.table-selection {
    font-size: smaller; 
    width: auto; 
    margin: 0;
    margin: 30px 10px 0 0;
    cursor: pointer;
}

.container-locations {
    margin: 0;
    padding: 0;
    width: 100%;
}

.container-loc {
    align-self: flex-end;
    margin: 0 20px 0 0;
}

.container-loc .title {
    width: 150px;
}

.container-loc .address {
    text-align: center;
    font-size: small;
    width: 200px;
    margin: 0 10px 0 10px;
}

.body-locations {
    width: 100%;
}

.container-selection-detail {
    width: 100%;
}

.selection-detail {
    margin: 10px 0 0 0;
    padding: 0 0 0 30px;
}

/* IMAGE ZOOM IN */

.img-small {
    width: 100%;
    height: 100%;
    transition: transform 0.3s ease, transform-origin 0.3s ease;
}

.image-container {
    overflow: hidden;
    position: relative;
    width: 180px;
    height: 180px;
    border-radius: 15px;
    margin-top: 10px;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
}

.image-container-main {
    text-align: center; 
    width: fit-content;
    margin-left: 10px;
}

.image-container:hover {
    position: relative;
}

.image-container:hover .img-small {
    transform-origin: 10% 10%;
    transform: scale(2);
}

/* MAP ZOOM IN */

.container-map {
    width: 275px;
}

.img-map {
    transition: transform 0.3s ease, transform-origin 0.3s ease;
}

.image-map-container {
    overflow: hidden;
    position: relative;
    width: 275px;
    height: 275px;
    border-radius: 15px;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    margin: 25px 10px;
}

.image-map-container:hover {
    position: relative;
}

.image-map-container:hover .img-map {
    transform: scale(1.4);
}

/* IMAGE SAMPLE ZOOM IN */

.img-small-sample-2 {
    width: 100%;
    height: 100%;
    transition: transform 0.3s ease, transform-origin 0.3s ease;
}

.img-small-sample-3 {
    width: 100%;
    height: 100%;
    transition: transform 0.3s ease, transform-origin 0.3s ease;
}

.image-container-sample {
    overflow: hidden;
    position: relative;
    width: 180px;
    height: 180px;
    border-radius: 15px;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    margin: 25px 30px 45px 10px;
}

.image-container-sample:hover {
    position: relative;
}

.image-container-sample:hover .img-small-sample-2 {
    transform-origin: 85% 90%;
    transform: scale(2);
}

.image-container-sample:hover .img-small-sample-3 {
    transform-origin: 95% 15%;
    transform: scale(2);
}

/* TEXT STYLE */

.view-image-text {
    font-size: small; 
    font-weight: 600;
    width: fit-content;
    margin-top: 10px;
}

a { 
    color: inherit; 
    text-decoration: none;
    transition: .25s ease-in-out;
}

a:hover {
    color: hsl(0, 100%, 41%);
}

a:hover::before {
    border-width: 0;
    background-color: hsl(121, 100%, 35%);
    box-shadow: 0 0 .5rem .1rem hsla(121, 100%, 35%, 1);
    animation: none;
}


/* Header */

.main-title {
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-size: xxx-large;
    color: rgb(255, 255, 255);
    margin: 20px 0 20px 0;
}

nav {
    width: max-content;
    margin: 0 10px 0 auto;
    color: rgb(68, 68, 68);
}

/* Footer */

.copyright {
    font-size: small;
    margin: 75px 0 5px 0;
    color: rgb(68, 68, 68);
}

.credits {
    font-size: small;
    margin: 5px 0 25px 0;
    color: rgb(68, 68, 68);
}

/* Components */

.container {
    text-align: center;
}

.container-images {
    vertical-align: top;
}

.container-selection {
    color: white;
    background-color: rgb(125, 125, 125);
    text-align: center;
    margin: 0;
}

.container-selected {
    color: white;
    background-color: rgb(168, 0, 0);
    text-align: center;
    margin: 0;
}

.selection-knife {
    padding: 0 10px 0 10px;
    border: 1px solid rgb(68, 68, 68);
    white-space: nowrap;
}

.container-selection:hover {
    background-color: rgb(80, 80, 80);
}

.container-selected:hover {
    background-color: rgb(80, 80, 80);
}

.selection-title {
    color: white;
    background-color: rgb(68, 68, 68);
    border: 1px solid rgb(40, 40, 40);
}

.container-nav {
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    width: 100%;
}

.item-name {
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    margin: 75px 10px 0;
}

.item-summary {
    margin: 0 10px 0 10px;
    text-align: left;
    line-height: 25px;
}

.button-purchase {
    text-align: center; 
    padding: 5px; 
    border-radius: 15px; 
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    transition: .25s ease-in-out;
    cursor: pointer;
}

.button-purchase:hover {
    color: hsl(0, 0%, 100%);
    background-color: rgb(28, 17, 0);
}


.button-purchase:hover::before {
    border-width: 0;
    background-color: rgb(28, 17, 0);
    box-shadow: 0 0 .5rem .1rem rgb(28, 17, 0, 1);
    animation: none;
}

@keyframes fade {
    0% { opacity: 0; }
    100% { opacity: 1; }
}